Package org.apache.sysds.runtime.compress.cocode

# Class ColIndexes

java.lang.Object
org.apache.sysds.runtime.compress.cocode.ColIndexes

public class ColIndexes extends Object

## Constructor Summary

Constructors
Constructor
Description
`ColIndexes(IColIndex indexes)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`contains(ColIndexes a, ColIndexes b)`
`boolean`
`equals(Object that)`
`int`
`hashCode()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ColIndexes

public ColIndexes(IColIndex indexes)

## Method Details

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object that)

Overrides:
  `equals` in class `Object`

### contains

public boolean contains(ColIndexes a, ColIndexes b)